curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-hepsiburada-merchants-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": "efeturk",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-hepsiburada-merchants-products"
payload = {
"merchant": "efeturk",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchant: 'efeturk', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-hepsiburada-merchants-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "hepsiburada_merchants_products",
"merchant": "efeturk",
"max_items": 2,
"start_page": 1,
"sort": "NONE",
"brand": null,
"color": null,
"rating_min": null,
"price_min": null,
"price_max": null,
"fast_delivery": false,
"discounted_only": false,
"with_photo_reviews": false,
"authorized_seller": false,
"recently_reviewed": false,
"advantageous_price": false,
"product_type": null,
"partial": false,
"human": "# Hepsiburada merchant products\n\n- **Merchant:** efeturk\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 2.15 MB",
"machine": {
"total_items": 2,
"items": [
{
"@type": "HepsiburadaSearchProduct",
"id": "HBV0000120WWA",
"product_id": "HB0000120WW9",
"url": "https://www.hepsiburada.com/apple-20-w-usb-c-guc-adaptoru-mhje3tu-a-apple-turkiye-garantili-pm-HB0000120WW9",
"name": "Apple 20 W USB-C Güç Adaptörü Hızlı Şarj ile Uyumlu iPhone Modelleri için İdeal Ev Şarjı",
"brand": "Apple",
"price": 1099,
"list_price": 1099,
"discount_percentage": 0,
"currency": "TRY",
"image": "https://productimages.hepsiburada.net/s/777/500/110001026353525.jpg",
"rating": 4.7,
"rating_count": 31204,
"color_variant_count": 1,
"seller_name": "EFETÜRK",
"seller_id": "fff01cd7-3d56-4491-b594-4afc5d7e80d6",
"category": "Şarj Cihazları",
"is_in_stock": true
},
{
"@type": "HepsiburadaSearchProduct",
"id": "HBCV0000A11PSL",
"product_id": "HBC0000A11ND4",
"url": "https://www.hepsiburada.com/apple-watch-series-11-gps-46-mm-simsiyah-aluminyum-kasa-ve-siyah-spor-kordon-m-l-p-HBCV0000A11PSL",
"name": "Apple Watch Series 11 Gps, 46 mm Simsiyah Alüminyum kasa ve Siyah Spor kordon - m/l",
"brand": "Apple",
"price": 26999,
"list_price": 29999,
"discount_percentage": 10,
"currency": "TRY",
"image": "https://productimages.hepsiburada.net/s/777/500/110001200133833.jpg",
"rating": 4.8,
"rating_count": 1353,
"color_variant_count": 4,
"seller_name": "EFETÜRK",
"seller_id": "fff01cd7-3d56-4491-b594-4afc5d7e80d6",
"category": "Akıllı Saatler",
"is_in_stock": true
}
],
"response_bytes": 2256165
},
"total_points": 2
}Hepsiburada Merchant Products
List products sold by a Hepsiburada merchant with filters (brand, color, price range, minimum rating, fast delivery, discounted, photo reviews) and sorting. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Merchant slug or store URL. e.g. efeturk
Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Min price (TRY)
x >= 0Max price (TRY)
x >= 0Sort by. Options: artanfiyat = Price: low to high, azalanfiyat = Price: high to low, coksatan = Best sellers, yorumsayisi = Most reviewed, degerlendirmepuani = Top rated, indirimurunler = Biggest discount, enyeni = Newest
artanfiyat, azalanfiyat, coksatan, yorumsayisi, degerlendirmepuani, indirimurunler, enyeni Minimum rating. Options: 4.5-max = 4.5 and up, 4-max = 4 and up, 3-max = 3 and up
4.5-max, 4-max, 3-max Brand (slug). e.g. e.g. apple, samsung
Color. Options: Siyah = Siyah, Beyaz = Beyaz, Mavi = Mavi, Lacivert = Lacivert, Mor = Mor, Kırmızı = Kırmızı, Yeşil = Yeşil, Sarı = Sarı, Pembe = Pembe, Gri = Gri, Gümüş = Gümüş, Kahverengi = Kahverengi, Turuncu = Turuncu, Bej = Bej, Krem = Krem, Altın = Altın, CokRenk = CokRenk
Siyah, Beyaz, Mavi, Lacivert, Mor, Kırmızı, Yeşil, Sarı, Pembe, Gri, Gümüş, Kahverengi, Turuncu, Bej, Krem, Altın, CokRenk Main category code. e.g. e.g. 98 (laptops)
Fast delivery
Discounted only
With photo reviews
Authorized sellers
Recently reviewed (last 10 days)
Advantageous price
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.